Qyra
ReferenceIntegrations

Update Slack custom settings

Update slack notification channel to send notifications to scheduled jobs fail

PUT/api/v1/slack/custom-settings

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "aiAgentsEnabled": true,
  "unfurlsEnabled": true,
  "aiMultiAgentProjectUuids": [
    "string"
  ],
  "aiMultiAgentChannelId": "string",
  "aiRequireOAuth": true,
  "aiThreadAccessConsent": true,
  "slackChannelProjectMappings": [
    {
      "availableTags": [
        "string"
      ],
      "slackChannelId": "string",
      "projectUuid": "string"
    }
  ],
  "appProfilePhotoUrl": "string",
  "notificationChannel": "string"
}

Responses

200 — Success

{
  "results": "string",
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}